package com.ippon.pouet.common.domain.error;

/**
 * User messages for standard (common) use cases
 */
public enum StandardMessage implements PouetMessage {
  USER_MANDATORY("user.mandatory"),
  SERVER_MANDATORY_NULL("server.mandatory-null"),
  SERVER_MANDATORY_BLANK("server.mandatory-blank"),
  BAD_REQUEST("user.bad-request"),
  INTERNAL_SERVER_ERROR("server.internal-server-error");

  private final String messageKey;

  private StandardMessage(String code) {
    this.messageKey = code;
  }

  @Override
  public String getMessageKey() {
    return messageKey;
  }
}
